Get Account Payment Methods
Get the list of the current merchant's bound and enabled receiving/payment accounts (including account ID and payment method type ID). Used to fill in payMethod (receiving account ID) when publishing/updating an advertisement.
HTTP Request
- GET
/api/v3/fiat/merchant/payment/methods
Required Permission: P2P Account Read
Request Parameters
None (identity is identified via API Key / signature).
Response Parameters
| Name | Type | Description |
|---|---|---|
| id | long | Receiving account ID (pass this value as payMethod when publishing/updating a SELL advertisement) |
| payMethod | long | Payment method type ID |
| bankName | string | Bank name |
| account | string | Account number |
| bankAddress | string | Bank address |
| payee | string | Payee |
| qrCode | string | Receiving QR code (image identifier/content, may be empty) |
| qrCodeUrl | string | Receiving QR code image URL (may be empty) |
| state | string | Account status: ENABLE / DISABLE / DELETE |
| extend | string | Extended info (JSON string) |
| supportCurrency | string | Supported fiat currencies (comma-separated) |
Response
{
"msg": "success",
"code": 0,
"data": [
{
"id": 1605,
"payMethod": 1,
"bankName": "Bank of Test",
"account": "6222020000000000",
"bankAddress": "London",
"payee": "DAVIS",
"qrCode": "",
"qrCodeUrl": "",
"state": "ENABLE",
"extend": "{\"accountType\":\"123\"}",
"supportCurrency": "GBP,EUR"
}
]
}